Subject: Re: [PATCH 10/16] reftable/block: store block pointer in the block iterator

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 7 Apr 2025 14:31:04 +0200

On Wed, Apr 02, 2025 at 03:56:30PM -0500, Justin Tobler wrote:
> On 25/03/31 10:41AM, Patrick Steinhardt wrote:
> > The block iterator requires access to a bunch of data from the
> > underlying `reftable_block` that it is iterating over. This data is
> > stored by copying over relevant data into a separate set of variables.
> > This has multiple downsides:
> > 
> >   - We require more storage space than necessary. This is more of a
> >     theoretical issue as we shouldn't ever have many blocks.
> > 
> >   - We have to perform more bookkeeping, and the variable names are
> >     inconsistent across the two data structures. This can lead to some
> >     confusion.
> > 
> >   - The lifetime of the block iterator is tied to the block anyway, but
> >     we hide that a bit by only storing pointers into the block.
> 
> s/into/in/

I think "into" is right. What I want to say is that the pointers point
into the block itself, not that we're storing pointers in the block.
I'll add "pointing" to clarify.

Patrick